Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hammurapi.eventbus.snapshot
Interface PredicateNode

Show UML class diagram

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SnapshotElement

All Known Implementing Classes:
  PredicateNodeImpl

    public interface PredicateNode

extends SnapshotElement

A representation of the model object 'Predicate Node'. Predicate node.

The following features are supported:

- `True Outputs`
- `False Outputs`
- `True Children`
- `False Children`
- `Is Root`
- `Predicate`

See Also:
  `SnapshotPackage.getPredicateNode()`

Method Summary
`org.eclipse.emf.common.util.EList<PredicateNode>` | `getFalseChildren()` Returns the value of the 'False Children' reference list.
`org.eclipse.emf.common.util.EList<PredicateNodeOutput>` | `getFalseOutputs()` Returns the value of the 'False Outputs' reference list.
`Predicate` | `getPredicate()` Returns the value of the 'Predicate' containment reference.
`org.eclipse.emf.common.util.EList<PredicateNode>` | `getTrueChildren()` Returns the value of the 'True Children' reference list.
`org.eclipse.emf.common.util.EList<PredicateNodeOutput>` | `getTrueOutputs()` Returns the value of the 'True Outputs' reference list.
`boolean` | `isIsRoot()` Returns the value of the 'Is Root' attribute.
`void` | `setIsRoot(boolean value)` Sets the value of the '`Is Root`' attribute.
`void` | `setPredicate(Predicate value)` Sets the value of the '`Predicate`' containment reference.

Methods inherited from interface com.hammurapi.eventbus.snapshot.SnapshotElement
`getDetails, getId, getName, getSnapshot, setDetails, setId, setName, setSnapshot`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getTrueOutputs

    org.eclipse.emf.common.util.EList<PredicateNodeOutput> getTrueOutputs()

  Returns the value of the 'True Outputs' reference list. The list contents are of type `PredicateNodeOutput`.

  If the meaning of the 'True Outputs' reference list isn't clear, there really should be more of a description here...

  Handlers fired when node's predicate evaluates to true.

  Returns:
    the value of the 'True Outputs' reference list.
  See Also:
    `SnapshotPackage.getPredicateNode_TrueOutputs()`

### getFalseOutputs

    org.eclipse.emf.common.util.EList<PredicateNodeOutput> getFalseOutputs()

  Returns the value of the 'False Outputs' reference list. The list contents are of type `PredicateNodeOutput`.

  If the meaning of the 'False Outputs' reference list isn't clear, there really should be more of a description here...

  Handlers fired when node predicate evaluates to false.

  Returns:
    the value of the 'False Outputs' reference list.
  See Also:
    `SnapshotPackage.getPredicateNode_FalseOutputs()`

### getTrueChildren

    org.eclipse.emf.common.util.EList<PredicateNode> getTrueChildren()

  Returns the value of the 'True Children' reference list. The list contents are of type `PredicateNode`.

  If the meaning of the 'True Children' reference list isn't clear, there really should be more of a description here...

  Child predicate nodes which are activated when this node predicate evaluates to true.

  Returns:
    the value of the 'True Children' reference list.
  See Also:
    `SnapshotPackage.getPredicateNode_TrueChildren()`

### getFalseChildren

    org.eclipse.emf.common.util.EList<PredicateNode> getFalseChildren()

  Returns the value of the 'False Children' reference list. The list contents are of type `PredicateNode`.

  If the meaning of the 'False Children' reference list isn't clear, there really should be more of a description here...

  Child predicate nodes which are activated when this node predicate evaluates to false.

  Returns:
    the value of the 'False Children' reference list.
  See Also:
    `SnapshotPackage.getPredicateNode_FalseChildren()`

### isIsRoot

    boolean isIsRoot()

  Returns the value of the 'Is Root' attribute.

  If the meaning of the 'Is Root' attribute isn't clear, there really should be more of a description here...

  If true, the node is the root of the dispatch network.

  Returns:
    the value of the 'Is Root' attribute.
  See Also:
    `setIsRoot(boolean)`, `SnapshotPackage.getPredicateNode_IsRoot()`

### setIsRoot

    void setIsRoot(boolean value)

  Sets the value of the '`Is Root`' attribute.

  Parameters:
    `value` - the new value of the 'Is Root' attribute.
  See Also:
    `isIsRoot()`

### getPredicate

    Predicate getPredicate()

  Returns the value of the 'Predicate' containment reference. Node's predicate.

  Returns:
    the value of the 'Predicate' containment reference.
  See Also:
    `setPredicate(Predicate)`, `SnapshotPackage.getPredicateNode_Predicate()`

### setPredicate

    void setPredicate(Predicate value)

  Sets the value of the '`Predicate`' containment reference.

  Parameters:
    `value` - the new value of the 'Predicate' containment reference.
  See Also:
    `getPredicate()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD